﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace TppGame.DecTree
{
    public abstract class Node
    {
        public enum Status
        {
            Fail,
            HalfSuccess,
            Success
        }
        
        public List<Node> Children = new List<Node>();
        
        public abstract Status Visit(Character ch);
    }
}


